Open Lighting Architecture: ola::rdm::StaticGroupTokenCalculator Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::StaticGroupTokenCalculator Class Reference

## Detailed Description

This calculates the required nmuber of tokens for a group which contains no variable-sized groups.

Inheritance diagram for ola::rdm::StaticGroupTokenCalculator:

## Public Member Functions
bool | Descend () const
bool | CalculateTokensRequired (const class ola::messaging::FieldDescriptorGroup *, unsigned int *token_count)
void | Visit (const ola::messaging::BoolFieldDescriptor *)
void | Visit (const ola::messaging::IPV4FieldDescriptor *)
void | Visit (const ola::messaging::MACFieldDescriptor *)
void | Visit (const ola::messaging::UIDFieldDescriptor *)
void | Visit (const ola::messaging::StringFieldDescriptor *)
void | Visit (const ola::messaging::UInt8FieldDescriptor *)
void | Visit (const ola::messaging::UInt16FieldDescriptor *)
void | Visit (const ola::messaging::UInt32FieldDescriptor *)
void | Visit (const ola::messaging::Int8FieldDescriptor *)
void | Visit (const ola::messaging::Int16FieldDescriptor *)
void | Visit (const ola::messaging::Int32FieldDescriptor *)
void | Visit (const ola::messaging::FieldDescriptorGroup *)
void | PostVisit (const ola::messaging::FieldDescriptorGroup *)

## Member Function Documentation

## ◆ CalculateTokensRequired()

bool ola::rdm::StaticGroupTokenCalculator::CalculateTokensRequired | ( | const class ola::messaging::FieldDescriptorGroup * | descriptor,
|  | unsigned int * | token_count )

For a group of fields, figure out the number of inputs required to build a single instance of the group. This assumes that the group does not contain any variable-sized groups but it may contain fixed sized nested groups.

Parameters

  descriptor | the group descriptor
  token_count | the number of inputs required to build a single instance of this group.

Returns
  true if we could calculate the inputs required, false if this group was of a variable size.

## ◆ Descend()

bool ola::rdm::StaticGroupTokenCalculator::Descend | ( |  | ) | const
| inlinevirtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ PostVisit()

void ola::rdm::StaticGroupTokenCalculator::PostVisit | ( | const ola::messaging::FieldDescriptorGroup * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [1/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::BoolFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [2/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::FieldDescriptorGroup * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [3/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::Int16FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [4/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::Int32FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [5/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::Int8FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [6/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::IPV4FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [7/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::MACFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [8/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::StringFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [9/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::UIDFieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [10/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::UInt16FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [11/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::UInt32FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

## ◆ Visit() [12/12]

void ola::rdm::StaticGroupTokenCalculator::Visit | ( | const ola::messaging::UInt8FieldDescriptor * | descriptor | ) |
| virtual

Implements ola::messaging::FieldDescriptorVisitor.

The documentation for this class was generated from the following files:

- common/rdm/GroupSizeCalculator.h
- common/rdm/GroupSizeCalculator.cpp